package session

import (
	omd "git.loafle.net/overflow/model/discovery"
)

func MockDiscoverySession() *mockDiscoverySession {
	return &mockDiscoverySession{}
}

type mockDiscoverySession struct {
	ofDiscoverySession
}

func (ds *mockDiscoverySession) AddHost(host *omd.Host) *omd.Host {
	return host
}

func (ds *mockDiscoverySession) AddPort(port *omd.Port) *omd.Port {
	return port
}

func (ds *mockDiscoverySession) AddService(service *omd.Service) *omd.Service {
	return service
}
