package discovery

import "git.loafle.net/overflow_scanner/probe/discovery/types"

func MockDiscoveryRequest(requesterID string, requestType types.DiscoveryRequestType, params ...interface{}) *mockDiscoveryRequest {
	m := &mockDiscoveryRequest{}
	m.requesterID = requesterID
	m.requestType = requestType
	m.params = params

	return m
}

type mockDiscoveryRequest struct {
	ofDiscoveryRequest
}

func (dr *mockDiscoveryRequest) SendMessage(messageType types.DiscoveryMessageType, data interface{}, err error) {
}
